uniform sampler2D texDiffuse;

const float kFar = 500.0;

uniform vec3 lightPosition;

in vec4 worldPos;

void main(void)
{
    // Calculate the distance
    float dist = distance(worldPos.xyz, lightPosition);

    // Normalize
    dist /= kFar;

    // Write out depth
    gl_FragDepth = dist;
}