uniform samplerCube texCubemap;

// Brightness (for fades)
uniform float brightness;

in vec3 normal;

out vec4 outFragment;

void main(void)
{
    outFragment = texture(texCubemap, normalize(normal));
    outFragment.rgb *= brightness;
}