uniform mat4 viewMatrix;
uniform mat4 projMatrix;

layout(location = 0) in vec3 inPosition;

out vec3 normal;

void main(void)
{
	vec3 tempPos = vec3(inPosition.xy, -1.0);
	normal = transpose(mat3(viewMatrix)) * normalize(tempPos);
	gl_Position = projMatrix * vec4(tempPos, 1.0);
}